class BackgroundModel {
  HeaderBg headerBg;
  String bgColor;

  BackgroundModel({this.headerBg, this.bgColor});

  BackgroundModel.fromJson(Map<String, dynamic> json) {
    headerBg = json['header_bg'] != null
        ? new HeaderBg.fromJson(json['header_bg'])
        : null;
    bgColor = json['bg_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.headerBg != null) {
      data['header_bg'] = this.headerBg.toJson();
    }
    data['bg_color'] = this.bgColor;
    return data;
  }
}

class HeaderBg {
  String height;
  String mainColor;
  String assistColor;
  String minorColor;

  HeaderBg({this.height, this.mainColor, this.assistColor, this.minorColor});

  HeaderBg.fromJson(Map<String, dynamic> json) {
    height = json['height'];
    mainColor = json['main_color'];
    assistColor = json['assist_color'];
    minorColor = json['minor_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['height'] = this.height;
    data['main_color'] = this.mainColor;
    data['assist_color'] = this.assistColor;
    data['minor_color'] = this.minorColor;
    return data;
  }
}
